Modify

#10849 closed defect (wontfix)

Upgrade from 1.5.1 to 1.5.2 fails

Reported by: achim@… Owned by: seccanj
Priority: normal Component: TestManagerForTracPlugin
Severity: normal Keywords:
Cc: Trac Release:

Description (last modified by rjollos)

If i want to upgrade from plugin version 1.5.1 to 1.5.2 i get the following error:

OperationalError: table testcase already exists

command i used was: trac-admin d:\testproject upgrade

It was not the first time i updated the plugin. I had no problems with other versions.

Egg file: testman4trac.1.5.2-Py_2.7-Trac_0.12-1.0.zip
Trac: 0.12.2

Attachments (0)

Change History (5)

comment:1 Changed 22 months ago by rjollos

  • Description modified (diff)

comment:2 Changed 22 months ago by seccanj

Hi achim, I'll take a look asap, but first, please could you verified that you first upgraded TracGenericClass?

It has some changes that are required for the new test manager release to work.

The plugin comes with the test manager zip as well.

Please let me know. Ciao, Roberto

comment:3 Changed 22 months ago by anonymous

It makes no difference which one i upgrade first. I always get the same error. I tried to switch from 1.1.3 to 1.1.5 of TracGenericClass and got this error again.

comment:4 Changed 18 months ago by seccanj

Hi,I've just releazse 1.6.2.

Would you try upgrading from 1.5.1 to 1.6.2 and report any problem?

In case you find any, I'd like to have more info about your environment and the debug-enabled Trac log file.

Thanks, ciao. Roberto

comment:5 Changed 17 months ago by seccanj

  • Resolution set to wontfix
  • Status changed from new to closed

I assume you have successfully upgraded to 1.6.2.

Add Comment

Modify Ticket

Action
as closed The owner will remain seccanj.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.